#!/usr/bin/perl
###########################
##  AutoRank Pro v3.0.x  ##
###################################################
##  upgrade.cgi - upgrade from AutoRank v2.1.x   ##
###################################################

package upg;

use lib '.';                                    ##  You may need to change this to the full path to cgiworks.pm
use strict;
use cgiworks;

print "Content-type: text/html\n\n";
$HEADER = 1;

eval {
  require 'ar.cgi';
  main();
};

err("$@", 'upgradear.cgi') if( $@ );
exit;

sub main {
  print "<pre>";
  print "AutoRank v2.1.0 Installation Located...importing data\n\n";
  members();
  print "\nYour data has been successfully imported, and you\n";
  print "can continue on to the next step of the upgrade.";
}

sub members {
  my $num = 0;
  for( @{ dread("$DDIR/members", '\.dat$') } ) {
    my $id = getmem($_);
    my $md = fsplit("$DDIR/members/$id.dat");

    fjoin("$DDIR/members/$id.dat", $md->[3], $md->[1], $md->[4], 60, 468, '', $md->[0], $md->[2], '', '', time, '1:1', '1.000', 'N/A', 'N/A', 'N/A', 'N/A', 'N/A', $md->[5], $md->[6], 0, 0, 0, '', '', '');
    fjoin("$DDIR/members/$id.cnt",  0, 0, 0, 0, '1:1', '1.000', '', 0, time);
    fwrite("$DDIR/members/$id.sts", '');
    fappend("$DDIR/dbs/sites", "$_\n");
    fappend("$DDIR/dbs/search", "$id|$md->[0]||$md->[1]|$md->[2]\n");
    $num++;
  }
  print "$num Members Imported\n";
}

sub getmem {
  my $id = shift;
  $id =~ s/\..+$//;
  return $id;
}