#!/usr/bin/perl
###########################
##  AutoRank Pro v3.0.0  ##
####################################################
##  help.cgi - display help info for admin.cgi    ##
####################################################

use lib '..';                                    ## You may need to change this to the full path to cgiworks.pm
use strict;
use cgiworks;

print "Content-type: text/html\n\n" if( !$HEADER );
$HEADER = 1;

eval {
  main();
};

err("$@", 'help.cgi') if( $@ );
exit;

sub main {
  require "$DDIR/help.dat";

  parseget();
  
  $QRY{'page'} = ($QRY{'page'} eq "") ? "TOPICS" : $QRY{'page'};
  
  print <<HTML;
<html>
<head>
  <title>AutoRank Pro Help</title>
  <style type="text/css">
  <!--
    A:link { text-decoration: none; color: #4a5a84; }
    A:active { text-decoration: none; }
    A:visited { text-decoration: none; color: #4a5a84; }
    A:hover { text-decoration: none; color: #990000; }
  -->
  </style>
</head>
<body bgcolor="#ffffff" text="#000000" link="#0000ff" vlink="purple" alink="#ff0000">

<div align="center">

<table width="100%">
<tr>
<td>
<font face="Verdana,Arial" size="1">

$HELPINFO::PAGE{$QRY{'page'}}

<br><br>

<b><a href="javascript:parent.window.close();">Close Window</a></b>

</font>

</td>
</tr>
</table>

</body>
</html>
HTML
}
